Create session type
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-session-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"first_event_date": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', first_event_date: '2023-12-25'})
};
fetch('https://api.lumonol.co.uk/ankra/create-session-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-session-type"
payload = {
"name": "<string>",
"first_event_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"first_event_date": "2023-12-25",
"start_time": "<string>",
"repeat_pattern": "none",
"public_description": "<string>",
"game_link": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Sessions
Create session type
A new session type: name, first_event_date, start_time, repeat_pattern.
POST
/
create-session-type
Create session type
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-session-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"first_event_date": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', first_event_date: '2023-12-25'})
};
fetch('https://api.lumonol.co.uk/ankra/create-session-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-session-type"
payload = {
"name": "<string>",
"first_event_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"first_event_date": "2023-12-25",
"start_time": "<string>",
"repeat_pattern": "none",
"public_description": "<string>",
"game_link": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json

